jdbm.helper

## Interface CachePolicyListener<T>

    public interface CachePolicyListener<T>

Callback interface between `CachePolicy` and a Cache implementation to notify about cached object eviction.

Note that `CachePolicy` implementations typically use object equality when removing listeners, so concrete implementations of this interface should also pay attention to their `Object.equals(Object)` and `Object.hashCode()` methods.

Author:
  Alex Boisvert

### Method Summary

Methods
`void` `cacheObjectEvicted(T obj)` Notification that the cache this listener is attached to is evicting the object indicated.

### Method Detail

#### cacheObjectEvicted

    void cacheObjectEvicted(T obj)
                            throws CacheEvictionException

Notification that the cache this listener is attached to is evicting the object indicated.

Parameters:
  `obj` - object being evicted from cache
Throws:
  `CacheEvictionException` - if this listener encountered problems while preparing for the specified object's eviction. For example, a listener may try to persist the object to disk, and encounter an `IOException`.